#!/usr/bin/ruby

# YAML

require 'yaml'

## 읽기

yaml = <<YAML
foo: bar
bar:
  - foo
  - bar
YAML

data = YAML.load(yaml)
p data # {"foo"=>"bar", "bar"=>["foo", "bar"]}

data = YAML.load_file('sample.yaml')
p data


## 내보내기

hash = {foo: 'bar', bar:['foo', 'bar']}
str = YAML.dump(hash) # 해시 등의 객체를 dump()하면 yaml 문자열이 나옵니다.
p str # "---\n:foo: bar\n:bar:\n- foo\n- bar\n"

str = hash.to_yaml # 또는, 해시나 배열 등에서 to_yaml 메서드를 호출
p str # "---\n:foo: bar\n:bar:\n- foo\n- bar\n"


END{
  # https://ruby-doc.org/3.3.0/stdlibs/yaml/YAML.html
}
